package com.lz.modules.flow.entity;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import java.util.Date;
/**
* <p>
* </p>*流程审批表
* @author quyixiao
* @since 2020-10-23
*/

@Data
@TableName("lz_flow_approval_role")
@ApiModel(value = "流程审批表")
public class FlowApprovalRole implements java.io.Serializable {
    //
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;
    //是否删除状态，1：删除，0：有效
    @ApiModelProperty(value = "是否删除状态，1：删除，0：有效", name = "isDelete")
    private Integer isDelete;
    //创建时间
    @ApiModelProperty(value = "创建时间", name = "gmtCreate")
    private Date gmtCreate;
    //最后修改时间
    @ApiModelProperty(value = "最后修改时间", name = "gmtModified")
    private Date gmtModified;
    //审批用户id
    @ApiModelProperty(value = "审批用户id", name = "approvalId")
    private Long approvalId;
    //0表示指定员工，1表示1级主管，2表示二级主管....
    @ApiModelProperty(value = "-1考核人员自己，0表示指定员工，1表示1级主管，2表示二级主管....", name = "type")
    private Integer type;
    //审批人角色id
    @ApiModelProperty(value = "审批人角色id", name = "roleId")
    private String roleId;
    //流程表id
    @ApiModelProperty(value = "流程表id", name = "flowId")
    private Long flowId;
    //步骤类型0：依次，1：或签（同时通知，一人通过或拒绝即可），2会签（同时通知，所有人同意才可）
    @ApiModelProperty(value = "步骤类型0：依次，1：或签（同时通知，一人通过或拒绝即可），2会签（同时通知，所有人同意才可）", name = "stepType")
    private Integer stepType;

    //小结点的第几步，从0开始，如果是多人，步数相同
    @ApiModelProperty(value = "小结点的第几步，从0开始，如果是多人，步数相同，", name = "stepIndex")
    private Integer stepIndex;
    /**
     *  
     * @return
     */
    public Long getId() {
        return id;
    }
    /**
     *  
     * @param id
     */
    public void setId(Long id) {
        this.id = id;
    }

    /**
     * 是否删除状态，1：删除，0：有效 
     * @return
     */
    public Integer getIsDelete() {
        return isDelete;
    }
    /**
     * 是否删除状态，1：删除，0：有效 
     * @param isDelete
     */
    public void setIsDelete(Integer isDelete) {
        this.isDelete = isDelete;
    }

    /**
     * 创建时间 
     * @return
     */
    public Date getGmtCreate() {
        return gmtCreate;
    }
    /**
     * 创建时间 
     * @param gmtCreate
     */
    public void setGmtCreate(Date gmtCreate) {
        this.gmtCreate = gmtCreate;
    }

    /**
     * 最后修改时间 
     * @return
     */
    public Date getGmtModified() {
        return gmtModified;
    }
    /**
     * 最后修改时间 
     * @param gmtModified
     */
    public void setGmtModified(Date gmtModified) {
        this.gmtModified = gmtModified;
    }

    /**
     * 审批用户id 
     * @return
     */
    public Long getApprovalId() {
        return approvalId;
    }
    /**
     * 审批用户id 
     * @param approvalId
     */
    public void setApprovalId(Long approvalId) {
        this.approvalId = approvalId;
    }

    /**
     * 0表示指定员工，1表示1级主管，2表示二级主管.... 
     * @return
     */
    public Integer getType() {
        return type;
    }
    /**
     * 0表示指定员工，1表示1级主管，2表示二级主管.... 
     * @param type
     */
    public void setType(Integer type) {
        this.type = type;
    }

    /**
     * 审批人角色id 
     * @return
     */
    public String getRoleId() {
        return roleId;
    }
    /**
     * 审批人角色id 
     * @param roleId
     */
    public void setRoleId(String roleId) {
        this.roleId = roleId;
    }

    /**
     * 流程表id 
     * @return
     */
    public Long getFlowId() {
        return flowId;
    }
    /**
     * 流程表id 
     * @param flowId
     */
    public void setFlowId(Long flowId) {
        this.flowId = flowId;
    }

    /**
     * 步骤类型0：依次，1：或签（同时通知，一人通过或拒绝即可），2会签（同时通知，所有人同意才可） 
     * @return
     */
    public Integer getStepType() {
        return stepType;
    }
    /**
     * 步骤类型0：依次，1：或签（同时通知，一人通过或拒绝即可），2会签（同时通知，所有人同意才可） 
     * @param stepType
     */
    public void setStepType(Integer stepType) {
        this.stepType = stepType;
    }



    /**
     * 小结点的第几步，从0开始，如果是多人，步数相同 
     * @return
     */
    public Integer getStepIndex() {
        return stepIndex;
    }
    /**
     * 小结点的第几步，从0开始，如果是多人，步数相同 
     * @param stepIndex
     */
    public void setStepIndex(Integer stepIndex) {
        this.stepIndex = stepIndex;
    }

    @Override
    public String toString() {
        return "FlowApprovalRole{" +
                ",id=" + id +
                ",isDelete=" + isDelete +
                ",gmtCreate=" + gmtCreate +
                ",gmtModified=" + gmtModified +
                ",approvalId=" + approvalId +
                ",type=" + type +
                ",roleId=" + roleId +
                ",flowId=" + flowId +
                ",stepType=" + stepType +
                ",stepIndex=" + stepIndex +
                "}";
    }
}